Description

Cuando intentamos exportar a postgresql, una vez se pulsa en finalizar en el asistete falla sacando en el log :

DEBUG [Export] (PostgreSQLResource.java:186) - getTheConnection  actives:1(8) idle:0(8)
 WARN [Thread-13] (ExporrtoJDBCService.java:279) - Can't export data.
java.lang.IllegalArgumentException: not instance of PostgreSQLStoreParameters
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLServerExplorer.checkIsMine(PostgreSQLServerExplorer.java:112)
    at org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorer.add(JDBCServerExplorer.java:476)
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.createTable(ExporrtoJDBCService.java:133)
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:178)
    at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:265)
 INFO [Thread-13] (DefaultJExporttoServicePanel.java:267) - Problems exporting the data
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:281)
    at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:265)
Caused by: java.lang.IllegalArgumentException: not instance of PostgreSQLStoreParameters
    at org.gvsig.fmap.dal.store.postgresql.PostgreSQLServerExplorer.checkIsMine(PostgreSQLServerExplorer.java:112)
    at org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorer.add(JDBCServerExplorer.java:476)
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.createTable(ExporrtoJDBCService.java:133)
    at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:178)
    ... 1 more

Associated revisions
Revision 41509 - 07/07/2014 03:58 PM - Joaquín  del Cerro Murciano

Fix error when export to JDBC, refs #2639

History
#1 - 07/07/2014 04:07 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2233-testing
- Status changed from New to Fixed
#2 - 07/08/2014 04:36 AM - Álvaro Anguix
- Status changed from Fixed to Closed
